## mx44 1.0

=== Makefile ===
.SUFFIXES: .c $(SUFFIXES)

TARGET		= mx44


DIR		= Mx44
CC		= gcc

GTK_CFLAGS = `pkg-config --cflags gtk+-2.0`
GTK_LIBS   = `pkg-config --libs gtk+-2.0`


LIBS		= $(GTK_LIBS) -lasound -ljack -lpthread -lm 

FLAGS		= -O3 -Wall -pipe  -fomit-frame-pointer -D_REENTRANT $(GTK_CFLAGS)  # -msse 

SRCS            =  interface2.c mx44.c main.c
INCLUDE         =  mx44.h old/mmx4.h

OBJS		= $(SRCS:.c=.o)




$(TARGET):	$(OBJS)
	$(CC) -D_REENTRANT -o $@ $(OBJS) $(LIBS)

.c.o: 
	$(CC) -c $(FLAGS) $<

clean:
	rm -f $(TARGET) $(OBJS) core core.* *.bak *~

depend:
	makedepend  -Y  $(SRCS)  &>/dev/null

edit:
	exec emacs -font 9x15 $(INCLUDE) $(SRCS) Makefile&

etag:
	rm TAGS;etags --members  $(SRCS) $(INCLUDE)    


tar:
	cd ..; rm $(DIR).tar.gz ; tar -cf $(DIR).tar   $(DIR)/*.c $(DIR)/*.h \
	$(DIR)/Makefile $(DIR)/$(TARGET) $(DIR)/COPYING $(DIR)/mx41patch $(DIR)/old/*.h;\
	gzip $(DIR).tar

# DO NOT DELETE

interface2.o: mx44.h mmx.h
mx44.o: mx44.h mmx.h
main.o: mx44.h mmx.h old/mmx4.h

=== debian/changelog ===
mx44 (1.0-0ubuntu7) zesty; urgency=medium

  * Modernise packaging a bit.
  * Upgrade to 3.0 (quilt) format.
  * Use arch=all during build.
    + It fails to cross build on 32 bit as of now due to instruction set.
  * Upgrade to dh 9 and use tiny rules.
  * Update standards to 3.9.8. 
  * Update Homepage field to the latest accessible one.
  * Remove non-existent stuff from install file.
  * Remove rather old README.Debian.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Feb 2017 10:54:42 +0530

mx44 (1.0-0ubuntu6) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:59:00 +0000

mx44 (1.0-0ubuntu5) maverick; urgency=low

  * Adjust build-dep on liback-dev for jack transition

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 21 Jul 2010 14:09:45 +0200

mx44 (1.0-0ubuntu4) maverick; urgency=low

  * No-change rebuild for jack transition

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 21 Jul 2010 13:35:27 +0200

mx44 (1.0-0ubuntu3) lucid; urgency=low

  * debian/control: MMX required so limit Architecture: i386 amd64 (LP: #511952)

 -- Kamal Mostafa <kamal@whence.com>  Sun, 24 Jan 2010 07:48:36 -0800

mx44 (1.0-0ubuntu2) lucid; urgency=low

  * No-change rebuild for jack transition.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 19 Jan 2010 12:48:50 +1100

mx44 (1.0-0ubuntu1) dapper; urgency=low

  * Ubuntu Dapper package.
  * debian/copyright: updated FSF address.
  * debian/copyright: added proper credits.
  * debian/dirs: added /usr/share/applications for menu entry
  * debian/mx44.desktop: created desktop file for menu entry
  * debian/rules: added desktop menu entry install
  * debian/rules: added dpatch routines
  * debian/control: changed maintainer name.
  * debian/control: updated standards version.
  * debian/control: updated debuild version to 5.
  * debian/control: added depends on dpatch.
  * debian/control: fixed long description lines and spelling error.
  * debian/compat: updated compat version to 5.
  * debian/dirs: added dir for manpages
  * debian/mx44.1: wrote basic man page
  * debian/mx44.manpages: added man page for install
  * debian/rules: install man page symlink
  * debian/rules: renams 'mx44wrapper' to 'mx44' after install
  * debian/patches/01-mmx-code-fixes.dpatch: minimal code changes,
    derrived from Willem's major patchjob. Fixes compiles with gcc-4.0.

 -- Dana Olson <dana@ubuntustudio.com>  Thu,  9 Feb 2006 18:41:56 -0500

mx44 (1.0-2) etch; urgency=low

  * Etch package

 -- Willem van Engen <debrepo@willem.engen.nl>  Fri, 30 Dec 2005 18:45:36 +0000

mx44 (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Willem van Engen <debrepo@willem.engen.nl>  Thu,  4 Aug 2005 21:35:13 +0000

=== debian/control ===
Source: mx44
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dana Olson <dana@ubuntustudio.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libjack-dev, libasound2-dev
Standards-Version: 3.9.8
Homepage: http://web.comhem.se/luna/

Package: mx44
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: polyphonic, multichannel midi realtime software synthesizer
 The Mx44 is a polyphonic multichannel midi realtime software
 synthesizer. It is written in C and hand optimized for the (Intel) MMX
 instruction set. It runs under Linux, using any kernel modified for
 realtime performance.
 .
 The core algorithm is a  4 x 4 crossmodulating matrix (phase and
 amplitude) with individual envelopes for each oscillator. Oscillators
 have individual frequency intonation, can emphasize any of the eight
 first harmonics and even do some internal crossmodulation. Envelopes
 can be switched between VCA and VCF modes (ehrm, actually wave-shaping,
 but it will quack like a duck by any other name.) The sustainloop of
 the envelope can be brought into oscillation in the audible spectre as
 well as provide slow LFO sweeps. There is also a minor load of key and
 velocity related modifications for wowie zowie realtime ecstacy
 emulation.
